<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bas__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bas_descr_value_t</compoundname>
    <includes local="no">cy_ble_bas.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bas__descr__value__t_1adc74e46a1bb5bca1f5b8b2f98da85c99" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_bas_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="101" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="101" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bas__descr__value__t_1a5ecd7a66891a03b0d28a7213b9efdf2f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_bas_descr_value_t::serviceIndex</definition>
        <argsstring />
        <name>serviceIndex</name>
        <briefdescription>
<para>Service instance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="102" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bas__descr__value__t_1ae63a246ab2b7080500448f311ccb1b9b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___b_a_s__definitions_1gabf7f92662570bc150b786e9a483f03e2">cy_en_ble_bas_char_index_t</ref></type>
        <definition>cy_en_ble_bas_char_index_t cy_stc_ble_bas_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="103" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="103" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bas__descr__value__t_1a471b90942b06c02ffdc8a31ec2bea550" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___b_a_s__definitions_1ga7e2dc8a450ffbc696df656b46a1b0a51">cy_en_ble_bas_descr_index_t</ref></type>
        <definition>cy_en_ble_bas_descr_index_t cy_stc_ble_bas_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Service Characteristic descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="104" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="104" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bas__descr__value__t_1a4bcb32a376a8bae1857e7b8d1bca3dc2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_bas_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="105" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Battery Service Characteristic descriptor Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="114">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="112">
        <label>cy_stc_ble_bas_descr_value_t</label>
        <link refid="structcy__stc__ble__bas__descr__value__t" />
        <childnode refid="113" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="114" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="113">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="106" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="100" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bas__descr__value__t_1ae63a246ab2b7080500448f311ccb1b9b" virt="non-virtual"><scope>cy_stc_ble_bas_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bas__descr__value__t_1adc74e46a1bb5bca1f5b8b2f98da85c99" virt="non-virtual"><scope>cy_stc_ble_bas_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__bas__descr__value__t_1a471b90942b06c02ffdc8a31ec2bea550" virt="non-virtual"><scope>cy_stc_ble_bas_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bas__descr__value__t_1a5ecd7a66891a03b0d28a7213b9efdf2f" virt="non-virtual"><scope>cy_stc_ble_bas_descr_value_t</scope><name>serviceIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bas__descr__value__t_1a4bcb32a376a8bae1857e7b8d1bca3dc2" virt="non-virtual"><scope>cy_stc_ble_bas_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>